<template>
  <v-tooltip bottom>
    <template v-slot:activator="{ on, attrs }">
      <div
        v-bind="attrs"
        v-on="on"
      >
        <v-text-field
          :value="email"
          disabled
        />
      </div>
    </template>
    {{ $t('notEditableWarning') }}
  </v-tooltip>
</template>

<script>
  export default {
    name: 'EmailNotEditableField',
    props: {
      email: {
        type: String,
        required: true,
      },
    },
    i18n: {
      messages: {
        'pt-BR': {
          notEditableWarning: 'O email não é editável.',
        },
        'en-US': {
          notEditableWarning: 'Email is not editable.',
        },
      },
    },
  }
</script>
